Apple’s Software Support for the Canon 5D Mark II

by Johan on December 21, 2008



Apple's Software Support for the Canon 5D Mark II

Here is good news for MacBook owner who also have the Canon 5D Mark II. Apple has released software support for the digital camera. What makes the Digital Camera Raw Compatibility Update 2.4 more special is that it also supports two more cameras including the PowerShot G10 and the Pentax K2000/K-m. The software update only needs Mac OS X 10.4.11 or 10.5.3 and later. [Image-acquire]

Previous post:

Next post: